<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Induxter
 */
$go_to_top = induxter_option('go_to_top_button', true);
$footer_content_layout    = induxter_option( 'footer_content_layout', 'container' );

$footer_allow_html = array(
	'a'      => array(
		'href'   => array(),
		'target' => array(),
		'title'  => array(),
		'rel'    => array(),
	),
	'strong' => array(),
	'small'  => array(),
	'span'   => array(),
	'p'      => array(),
	'br'     => array(),
	'img'    => array(
		'src'    => array(),
		'title'  => array(),
		'alt'    => array(),
		'width'  => array(),
		'height' => array(),
		'class'  => array(),
	),
);
?>

</div><!-- #content -->

<footer class="site-footer">
	<?php get_template_part( 'template-parts/footer/footer-widgets' ); ?>

    <div class="footer-bottom-area">
        <div class="<?php echo esc_attr($footer_content_layout);?>">
            <div class="row">
                <div class="col-lg-6 col-md-6">
                    <div class="site-info-left">
						<?php
						$footer_info_left_text = induxter_option('footer_info_left_text');
						echo wp_kses($footer_info_left_text, $footer_allow_html);
						?>
                    </div>
                </div>

                <div class="col-lg-6 col-md-6">
                    <div class="site-copyright-text">
						<?php
						$copyright_text = induxter_option('copyright_text');

						echo wp_kses($copyright_text, $footer_allow_html);
						?>
                    </div>
                </div>
            </div>
        </div>

		<?php if($go_to_top == true) : ?>
            <div class="scroll-to-top"><i class="fas fa-arrow-up"></i></div>
		<?php endif;?>
    </div>
</footer><!-- #colophon -->


</div><!-- #page -->

<?php wp_footer(); ?>

</body>
</html>
