<?php
$induxter_common_meta = 'induxter_common_meta';

// Create a metabox
CSF::createMetabox($induxter_common_meta, array(
	'title'     => esc_html__('Settings', 'induxter'),
	'post_type' => array('page', 'post', 'induxter_service', 'induxter_team','induxter_project'),
	'data_type' => 'serialize',
));

// Create layout section
CSF::createSection($induxter_common_meta, array(
	'title'  => esc_html__('Layout Settings ', 'induxter'),
	'icon'   => 'fa fa-calculator',
	'fields' => array(

		array(
			'id'      => 'layout_meta',
			'type'    => 'select',
			'title'   => esc_html__('Layout', 'induxter'),
			'options' => array(
				'default'       => esc_html__('Default', 'induxter'),
				'left-sidebar'  => esc_html__('Left Sidebar', 'induxter'),
				'full-width'    => esc_html__('Full Width', 'induxter'),
				'right-sidebar' => esc_html__('Right Sidebar', 'induxter'),
			),
			'default' => 'default',
			'desc'    => esc_html__('Select layout', 'induxter'),
		),

		array(
			'id'         => 'sidebar_meta',
			'type'       => 'select',
			'title'      => esc_html__('Sidebar', 'induxter'),
			'options'    => 'induxter_sidebars',
			'dependency' => array('layout_meta', '!=', 'full-width'),
			'desc'       => esc_html__('Select sidebar you want to show with this page.', 'induxter'),
		),
	)
));

// Create layout section
CSF::createSection($induxter_common_meta, array(
	'title'  => esc_html__('Header Settings ', 'induxter'),
	'icon'   => 'fa fa-header',
	'fields' => array(

		array(
			'id'      => 'header_meta',
			'type'    => 'select',
			'title'   => esc_html__('Header Style', 'induxter'),
			'options' => array(
				'default'          => esc_html__('Default', 'induxter'),
				'header-style-one' => esc_html__('Header Style One', 'induxter'),
				'header-style-two' => esc_html__('Header Style Two', 'induxter'),
				'header-style-three' => esc_html__('Header Style Three', 'induxter'),
				'header-style-four' => esc_html__('Header Style Four', 'induxter'),
				'header-style-five' => esc_html__('Header Style Five', 'induxter'),
				'header-style-six' => esc_html__('Header Style Six', 'induxter'),
				'header-style-seven' => esc_html__('Header Style Seven', 'induxter'),
			),
			'default' => 'default',
			'desc'    => esc_html__('Select header style', 'induxter'),
		),

		array(
			'id'           => 'header_logo_meta',
			'type'         => 'media',
			'title'        => esc_html__('Header Logo', 'induxter'),
			'library'      => 'image',
			'url'          => false,
			'button_title' => esc_html__('Upload Logo', 'induxter'),
			'desc'         => esc_html__('Upload logo image', 'induxter'),

		),

		array(
			'id'          => 'main_menu_meta',
			'type'        => 'select',
			'title'       => esc_html__('Header Menu', 'induxter'),
			'options'     => 'menus',
			'placeholder' => esc_html__('Default', 'induxter'),
			'desc'        => esc_html__('You can select a different menu for this page from here.', 'induxter'),
		),
	)
));

// Create a section
CSF::createSection($induxter_common_meta, array(
	'title'  => esc_html__('Banner Settings', 'induxter'),
	'icon' => 'fa fa-flag-o',
	'fields' => array(
		array(
			'id'       => 'enable_banner',
			'type'     => 'switcher',
			'title'    => esc_html__('Enable Banner', 'induxter'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'induxter'),
			'text_off' => esc_html__('No', 'induxter'),
			'desc'     => esc_html__('Enable or disable banner.', 'induxter'),
		),

		array(
			'id'                    => 'banner_background_meta',
			'type'                  => 'background',
			'title'                 => esc_html__('Banner Background', 'induxter'),
			'background_gradient'   => true,
			'background_origin'     => false,
			'background_clip'       => false,
			'background_blend-mode' => false,
			'background_attachment' => false,
			'background_size'       => false,
			'background_position'   => false,
			'background_repeat'     => false,
			'dependency'            => array('enable_banner', '==', true),
			'output'                => '.banner-area.post-banner,.banner-area.page-banner,.banner-area.service-banner,.banner-area.team-banner,.banner-area.project-banner',
			'desc'                  => esc_html__('Select banner background color and image', 'induxter'),
		),

		array(
			'id'       => 'hide_tile_meta',
			'type'     => 'switcher',
			'title'    => esc_html__('Hide Title', 'induxter'),
			'text_on'  => esc_html__('Yes', 'induxter'),
			'text_off' => esc_html__('No', 'induxter'),
			'desc'     => esc_html__('Hide or show banner title.', 'induxter'),
			'default'  => false,
			'dependency' => array('enable_banner', '==', true),
		),

		array(
			'id'         => 'custom_title',
			'type'       => 'text',
			'title'      => esc_html__('Banner Custom Title', 'induxter'),
			'dependency' => array('enable_banner|hide_tile_meta', '==|==', true|false),
			'desc'       => esc_html__('If you want to use custom title write title here.If you don\'t, leave it empty.', 'induxter')
		),

		array(
			'id'         => 'banner_text_align_meta',
			'type'       => 'select',
			'title'      => esc_html__('Banner Text Align', 'induxter'),
			'options'    => array(
				'default' => esc_html__('Default', 'induxter'),
				'left'    => esc_html__('Left', 'induxter'),
				'center'  => esc_html__('Center', 'induxter'),
				'right'   => esc_html__('Right', 'induxter'),
			),
			'default'    => 'default',
			'dependency' => array('enable_banner', '==', true),
			'desc'       => esc_html__('Select page banner text align.', 'induxter'),
		),

		array(
			'id'          => 'banner_height_meta',
			'type'        => 'slider',
			'title'       => esc_html__('Banner Height', 'induxter'),
			'min'         => 100,
			'max'         => 800,
			'step'        => 1,
			'unit'        => 'px',
			'output'      => '.banner-area.post-banner,.banner-area.page-banner,.banner-area.service-banner,.banner-area.team-banner,.banner-area.project-banner,.header-style-three .banner-area,.header-style-four .banner-area',
			'output_mode' => 'height',
			'subtitle'    => esc_html__('Select banner height.', 'induxter'),
			'desc'        => esc_html__('Select banner height.', 'induxter'),
			'dependency'  => array('enable_banner', '==', true),
		),
	)
));

// Create Footer section
CSF::createSection($induxter_common_meta, array(
	'title'  => esc_html__('Footer Settings ', 'induxter'),
	'icon' => 'fa fa-wordpress',
	'fields' => array(

		array(
			'id'                    => 'footer_bg_image_meta',
			'type'                  => 'background',
			'title'                 => esc_html__('Background Color & Image', 'induxter'),
			'background_color'      => true,
			'background_gradient'   => false,
			'background_origin'     => false,
			'background_clip'       => false,
			'background_blend-mode' => false,
			'background_attachment' => false,
			'background_size'       => false,
			'background_position'   => false,
			'background_repeat'     => false,
			'output'                => '.footer-widget-area',
			'desc'                  => esc_html__('Select footer background color & image.', 'induxter'),
		),

		array(
			'id'       => 'copyright_bg_color_meta',
			'type'     => 'color',
			'title'    => esc_html__( 'Copyright Area Background Color', 'induxter' ),
			'desc'     => esc_html__( 'Select copyright area background color', 'induxter' ),
			'output'   => array(
				'background-color' => '.footer-bottom-area',
			)
		),
	)
));