<?php
// Create Footer section

CSF::createSection( $induxter_theme_option, array(
	'title'  => esc_html__( 'Footer Options', 'induxter' ),
	'id'     => 'footer_options',
	'icon'   => 'fa fa-wordpress',
	'fields' => array(

		array(
			'id'      => 'footer_widget_column',
			'type'    => 'select',
			'title'   => esc_html__( 'Widget Column', 'induxter' ),
			'desc'    => esc_html__( 'Select widget area column number.', 'induxter' ),
			'options' => array(
				'col-lg-12' => esc_html__( '1 Column', 'induxter' ),
				'col-lg-6'  => esc_html__( '2 Column', 'induxter' ),
				'col-lg-4'  => esc_html__( '3 Column', 'induxter' ),
				'col-lg-3'  => esc_html__( '4 Column', 'induxter' ),
			),
			'default' => 'col-lg-3',
		),

		array(
			'id'         => 'footer_content_layout',
			'type'       => 'button_set',
			'title'      => esc_html__( 'Footer Layout', 'induxter' ),
			'options'    => array(
				'container'   => esc_html__( 'Box', 'induxter' ),
				'container-fluid' => esc_html__( 'Full Width', 'induxter' ),
			),
			'default'    => 'container',
			'desc'       => esc_html__( 'Select footer content layout.', 'induxter' ),
		),

		array(
			'id'            => 'footer_info_left_text',
			'type'          => 'wp_editor',
			'title'         => esc_html__( 'Footer Info Right Text', 'induxter' ),
			'desc'          => esc_html__( 'Type footer info right text here.', 'induxter' ),
			'tinymce'       => true,
			'quicktags'     => true,
			'media_buttons' => true,
			'height'        => '100px',
		),

		array(
			'id'            => 'copyright_text',
			'type'          => 'wp_editor',
			'title'         => esc_html__( 'Copyright Text', 'induxter' ),
			'desc'          => esc_html__( 'Type site copyright text here.', 'induxter' ),
			'tinymce'       => true,
			'quicktags'     => true,
			'media_buttons' => true,
			'height'        => '100px',
		),

		array(
			'id'                    => 'footer_bg_image',
			'type'                  => 'background',
			'title'                 => esc_html__('Background Color & Image', 'induxter'),
			'background_color'      => true,
			'background_gradient'   => false,
			'background_origin'     => false,
			'background_clip'       => false,
			'background_blend-mode' => false,
			'background_attachment' => true,
			'background_size'       => true,
			'background_position'   => true,
			'background_repeat'     => true,
			'output'                => '.footer-widget-area',
			'desc'                  => esc_html__('Select footer background color and image.', 'induxter'),
		),

		array(
			'id'       => 'copyright_bg_color',
			'type'     => 'color',
			'title'    => esc_html__( 'Copyright Area Background Color', 'induxter' ),
			'desc'     => esc_html__( 'Select copyright area background color', 'induxter' ),
			'output'   => array(
				'background-color' => '.footer-bottom-area',
			)
		),

		array(
			'id'       => 'footer_link_hover_color',
			'type'     => 'color',
			'title'    => esc_html__( 'Link Hover Color', 'induxter' ),
			'desc'     => esc_html__( ' Select link hover color on footer area.', 'induxter' ),
			'output'   => array(
				'background-color' => '.site-footer .widget-social-icons a:hover,.site-footer .widget_themedraft_about_company_widget .widget-social-icons li a:hover,.site-footer .td-gallery-photo-overlay, .site-footer input[type="submit"]',

				'color' => '.site-footer a:hover,.site-footer .widget.widget_themedraft_nav_menu ul li a:hover,.site-footer .subscribe-contact-list li i',

				'border-color' => '.site-footer .widget_themedraft_about_company_widget .widget-social-icons li a:hover',
			)
		),

		array(
			'id'       => 'go_to_top_button',
			'type'     => 'switcher',
			'title'    => esc_html__( 'Enable Go Top Button', 'induxter' ),
			'default'  => true,
			'text_on'  => esc_html__( 'Yes', 'induxter' ),
			'text_off' => esc_html__( 'No', 'induxter' ),
			'desc'     => esc_html__( 'Enable or disable go to top button.', 'induxter' ),
		),
	)
) );