<?php

// Create general section
CSF::createSection( $induxter_theme_option, array(
	'title'  => esc_html__( 'General Options', 'induxter' ),
	'id'     => 'general_options',
	'icon'   => 'fa fa-google',
	'fields' => array(
		array(
			'id'       => 'theme_primary_color',
			'type'     => 'color',
			'title'    => esc_html__( 'Primary Color', 'induxter' ),
			'desc'     => esc_html__( 'Select theme primary color. Few colors not change from here. You can change them from individual Elementor widget.', 'induxter' ),
			'output'   => array(
				'background-color' => '.td-button,input[type="submit"],button[type="submit"],.post-pagination ul li a:hover,.page-links a:hover,.post-pagination ul li span.current,.page-links .current,.scroll-to-top,.content-area button[type="submit"].search-submit,.widget.widget_search button[type="submit"],.sidebar-widget-area .widget-title,.widget.widget_tag_cloud a,.post-thumbnail-wrapper .slick-arrow,.td-video-button:before,.td-video-button:after,.audio-iframe-wrapper:before,.slick-dots button,.td-gallery-photo-overlay,.widget_themedraft_about_company_widget .widget-social-icons li a:hover,.themedraft-subscribe-form input[type="submit"]:hover,.mfp-iframe-holder .mfp-close,.mfp-image-holder .mfp-close,.cta-widget-content,.post-tags a,.post-details-wrapper article .entry-content .wp-block-button__link,.post-details-wrapper article .entry-content .wp-block-file .wp-block-file__button,.blog-next-prev-img:before,.no-thumb .blog-next-prev-img,.header-style-three .header-cta-button a,.header-style-three li.header-mini-cart i.fa,.header-style-three a.td-header-cart-url .cart-product-count,.header-style-three .main-navigation ul li a:after,.header-style-four .main-menu-area,.header-style-four .main-navigation:before,.header-style-four li.top-social-item a:hover,.td-product-thumb-overlay,.woocommerce span.onsale,.preloader-wrapper,.header-search-wrapper,.woocommerce #respond input#submit,.woocommerce a.button,.woocommerce button.button,.woocommerce input.button,.woocommerce #respond input#submit.alt,.woocommerce a.button.alt,.woocommerce button.button.alt,.woocommerce input.button.alt,div#review_form_wrapper .form-submit button[type="submit"],.woocommerce nav.woocommerce-pagination ul li a:hover,.woocommerce nav.woocommerce-pagination ul li span.current,.woocommerce nav.woocommerce-pagination ul li span:hover,.woocommerce .widget_shopping_cart .cart_list li a.remove,.woocommerce.widget_shopping_cart .cart_list li a.remove,.woocommerce .widget_price_filter .ui-slider .ui-slider-range,.woocommerce .widget_price_filter .ui-slider .ui-slider-handle,.widget_product_search button[type=submit],.widget_product_tag_cloud a,.woocommerce.td-product-list-view .td-shop-page a.added_to_cart,.woocommerce div.product div.images .woocommerce-product-gallery__trigger,.woocommerce div.product div.images .woocommerce-product-gallery__trigger:hover:after,.related.products .slick-arrow,.upsells.products .slick-arrow,.tinv-wishlist .product-remove button:hover,.woocommerce a.remove:hover,.woocommerce-MyAccount-navigation ul li.is-active a,.woocommerce-MyAccount-navigation ul li a:hover,.mobile-menu-trigger span,.sidebar-widget-area .widget.widget_themedraft_nav_menu ul li a:hover,.sidebar-widget-area .widget.widget_themedraft_nav_menu ul li.current-menu-item a,.header-style-two .main-menu-area,.td-home-slider-area .slick-arrow,.td-home-slider-area .slick-dots .slick-active button,.td-home-slider-area .slick-dots button:hover,.slider-button-wrapper .td-video-button i,.slider-icon-wrapper .icon-shape,.slick-arrow,.td-single-promo-box:before,.td-promo-two-item-wrapper:hover,.td-section-title-two-line,a.td-service-one-button:after,.td-service-box-one-content:hover .top-shape,.td-service-slider-active .slick-dots .slick-active button,.td-service-slider-active .slick-dots button:hover,.td-service-box-one-wrapper .slick-arrow,.td-service-two-icon,.td-single-service-box-two:hover,.td-single-service-box-two:hover .td-service-icon,.td-service-three-icon,.td-cta-area,.td-single-counter-box:hover,.td-project-slider-wrapper i.slick-arrow,.td-project-slider-two-wrapper .slick-arrow,.td-top-shape:before,.td-single-member:hover .td-member-info,.td-single-member:hover .td-top-shape,.team-two-wrapper .slick-arrow,.td-single-team-three-member .td-image-shape-1,.td-single-team-three-member:hover .td-member-three-content,.td-member-details-info-wrapper .td-member-social-info a:hover,.td-member-details-info-wrapper .td-member-image-shape,.td-testimonial-slider-wrapper .slick-arrow,.td-testimonial-two-wrapper .slick-arrow,.td-recent-post-el-widget .slick-arrow,.td-award-img-wrapper,.td-contact-info-container,.td-video-popup-wrapper .td-video-button:before,.td-video-popup-wrapper .td-video-button:after,.price-title-shape,.td-pricing-bg,.td-gallery-filter-button:after,.td-filter-mobile-title,.td-single-project-slider-wrapper .slick-dots button,.td-project-info,.td-skills-wrapper .count-bar,.td-project-overlay,.td-project-slider-two-wrapper .td-project-content-wrapper,.td-project-slider-three-content-wrapper,.header-style-seven .site-branding,.header-style-seven .header-cta-button a,.header-style-seven .main-navigation ul li a:after,.header-style-seven li.top-social-item a:hover,.td-home-slider-four .subtitle:before,.td-home-slider-four .slick-dots li:first-child:before,.flip-card-back,.twentytwenty-horizontal .twentytwenty-handle:before, .twentytwenty-horizontal .twentytwenty-handle:after, .twentytwenty-vertical .twentytwenty-handle:before, .twentytwenty-vertical .twentytwenty-handle:after,.td-member-four-social li a:hover,.header-style-one .mobile-cta-button .header-cta-button a,.header-style-two .mobile-cta-button .header-cta-button a,.header-style-five .mobile-cta-button .header-cta-button a,.header-style-seven .mobile-cta-button .header-cta-button a',


				'color' => 'a:hover,.header-top-area li a:hover,.header-mini-cart span.quantity,.main-navigation ul li a:hover,.main-navigation ul li.current-menu-item>a,.main-navigation ul li.current_page_item>a,.main-navigation ul li.current-menu-ancestor>a,.main-navigation ul li.current_page_ancestor>a,.header-style-two .main-navigation ul li ul li a:hover,.header-style-two .main-navigation ul li ul li.current-menu-item>a,.header-style-two .main-navigation ul li ul li.current_page_item>a,.header-style-two .main-navigation ul li ul li.current-menu-ancestor>a,.header-style-two .main-navigation ul li ul li.current_page_ancestor>a,.header-style-four .main-navigation ul ul li a:hover,.header-style-four .main-navigation ul ul li.current-menu-item>a,.header-style-four .main-navigation ul ul li.current_page_item>a,.header-style-four .main-navigation ul ul li.current-menu-ancestor>a,.header-style-four .main-navigation ul ul li.current_page_ancestor>a,.header-style-four .header-top-area .top-info-column li a:hover,.header-style-four .header-top-area .top-info-column li i,.slicknav_nav a:hover,.slicknav_item.slicknav_row:hover a,.slicknav_item.slicknav_row:hover .slicknav_arrow,.slicknav_menu .current-menu-item>a,.slicknav_menu .current-menu-item .slicknav_row>a,.slicknav_menu .current-menu-ancestor>a,.slicknav_menu .current-menu-ancestor>.slicknav_row>a,.current-menu-ancestor>.slicknav_row .slicknav_arrow,.current-menu-item .slicknav_row .slicknav_arrow,.sticky .post-content-wrapper:before,.sidebar-widget-area .widget.widget_archive li:hover,.sidebar-widget-area .widget.widget_archive li a:hover,.sidebar-widget-area .widget.widget_categories li:hover,.sidebar-widget-area .widget.widget_categories li a:hover,.sidebar-widget-area .widget.widget_meta li:hover,.sidebar-widget-area .widget.widget_meta li a:hover,.sidebar-widget-area .widget.widget_pages li:hover,.sidebar-widget-area .widget.widget_pages li a:hover,.sidebar-widget-area .widget.widget_nav_menu li:hover,.sidebar-widget-area .widget.widget_nav_menu li a:hover,.sidebar-widget-area .widget li:hover .post-count-number,.post-meta li i,.post-meta li a:hover,.td-recent-widget-date i,.td-recent-widget-date a,.widget.widget_rss .rss-date,.footer-bottom-area a:hover,.footer-widget-area .widget li:hover .post-count-number,.footer-widget-area .widget.widget_archive li a:hover,.footer-widget-area .widget.widget_categories li a:hover,.footer-widget-area .widget.widget_meta li a:hover,.footer-widget-area .widget.widget_nav_menu li a:hover,.footer-widget-area .widget.widget_pages li a:hover,.widget.widget_themedraft_nav_menu ul li a:hover,.subscribe-contact-list li i,a.cta-widget-button,.text-404 h2,blockquote.wp-block-quote:before,blockquote:before,.comment-author.vcard .fn a:hover,.comments-area .reply a:hover,.comment-metadata time,.bypostauthor .comment-author.vcard .fn:after,#cancel-comment-reply-link,.post-details-wrapper article .entry-content .is-style-outline .wp-block-button__link,.td-product-grid-view #td-shop-view-mode .td-shop-grid,.td-product-list-view #td-shop-view-mode .td-shop-list,#td-shop-view-mode li:hover,#yith-quick-view-close,.td-product-thumb-buttons i,.td-product-thumb-buttons .tinvwl_add_to_wishlist_button,.td-product-thumb-buttons .tinvwl_add_to_wishlist_button:hover,.woocommerce .star-rating::before,.woocommerce .star-rating span::before,.woocommerce ul.cart_list li a:hover,.woocommerce ul.product_list_widget li a:hover,.sidebar-widget-area li.woocommerce-mini-cart-item.mini_cart_item .quantity,.woocommerce .widget_layered_nav_filters ul li a::before,.woocommerce .woocommerce-widget-layered-nav-list .woocommerce-widget-layered-nav-list__item--chosen a::before,.woocommerce.widget_products ul.product_list_widget li .woocommerce-Price-amount,.woocommerce.widget_top_rated_products ul.product_list_widget li .woocommerce-Price-amount,.woocommerce .widget_rating_filter ul li.chosen a::before,.woocommerce div.product .woocommerce-tabs ul.tabs li.active a,.woocommerce div.product .woocommerce-tabs ul.tabs li a:hover,.comment-form-rating a,.woocommerce div.product div.images .woocommerce-product-gallery__trigger,.tinvwl-table-manage-list .product-stock i,.tinv-wishlist .product-remove button,.cart_totals .cart-subtotal .woocommerce-Price-amount.amount,.woocommerce-shipping-methods .woocommerce-Price-amount.amount,.cart_totals .woocommerce-shipping-calculator a,.cart_totals .order-total td .woocommerce-Price-amount.amount,.woocommerce-message::before,.woocommerce-info::before,.woocommerce-info a,.woocommerce-checkout-review-order-table tfoot .order-total td .woocommerce-Price-amount.amount,p.woocommerce-LostPassword.lost_password a,.woocommerce-MyAccount-content a,.woocommerce.widget_products ul.product_list_widget li del,.woocommerce.widget_top_rated_products ul.product_list_widget li del,a.td-header-cart-url .cart-product-count,.td-home-three-slider-item .slider-subtitle,.td-single-promo-box i,.promo-two-icon,.promo-two-button a,.td-section-subtitle,.td-service-box-subtitle,.td-service-three-details .td-service-three-title:hover,.td-tabs-wrapper .nav.nav-tabs li a.active,.td-tabs-wrapper .nav.nav-tabs li a:hover,.td-count-number,.td-count-unit,.td-project-content .subtitle,.td-single-member:hover .td-member-info .hover-icon,.td-person-name-rating li i,.td-testimonial-three-content .td-author-rating,.td-recent-post-el-widget .posted-on a,.td-recent-post-el-widget .post-title:hover,.td-recent-post-el-widget .td-post-meta li a,.td-recent-post-el-widget .td-post-meta li>span:before,a .td-minimal-member-name:hover,.td-pricing-price,.td-accordion-wrapper .card-header.active .card-title button.btn-link,.td-accordion-wrapper .card-title button.btn-link:hover,.td-gallery-filter-button-wrapper li.active,.td-gallery-filter-button-wrapper li:hover,.header-style-seven .top-info-item i,.header-style-seven .info-subtitle,.header-style-seven .main-navigation ul li ul li a:hover, .header-style-seven .main-navigation ul li ul li.current-menu-item > a, .header-style-seven .main-navigation ul li ul li.current_page_item > a, .header-style-seven .main-navigation ul li ul li.current-menu-ancestor > a, .header-style-seven .main-navigation ul li ul li.current_page_ancestor > a,.header-style-seven li.top-social-item a,.td-home-slider-four .subtitle,.td-home-slider-four .slick-dots li.slick-active, .td-home-slider-four .slick-dots li:hover,.td-single-service-box-four .td-icon-wrapper i,.td-single-service-box-four .td-button,.td-contact-and-subscribe-wrapper .subscribe-button i.fas.fa-arrow-right',


				'border-color' => 'li.top-social-item a:hover,input[type=text]:focus,input[type=email]:focus,input[type=password]:focus,input[type=url]:focus,input[type=search]:focus,input[type=tel]:focus,input[type=number]:focus,input[type=date]:focus,textarea:focus,.header-style-four li.top-social-item a:hover,.comment-form input:focus,.comment-form textarea:focus,.sidebar-widget-area .widget.widget_archive li:hover,.sidebar-widget-area .widget.widget_archive li a:hover,.sidebar-widget-area .widget.widget_categories li:hover,.sidebar-widget-area .widget.widget_categories li a:hover,.sidebar-widget-area .widget.widget_meta li:hover,.sidebar-widget-area .widget.widget_meta li a:hover,.sidebar-widget-area .widget.widget_pages li:hover,.sidebar-widget-area .widget.widget_pages li a:hover,.sidebar-widget-area .widget.widget_nav_menu li:hover,.sidebar-widget-area .widget.widget_nav_menu li a:hover,.sidebar-widget-area .widget.widget_themedraft_nav_menu ul li a:hover,.sidebar-widget-area .widget li:hover .post-count-number,.post-pagination ul li a:hover,.page-links a:hover,.post-pagination ul li span.current,.page-links .current,.widget_themedraft_about_company_widget .widget-social-icons li a:hover,blockquote.wp-block-quote,blockquote,.post-details-wrapper article .entry-content .is-style-outline .wp-block-button__link,.wp-block-quote.is-large,.wp-block-quote.is-style-large,.wp-block-quote.has-text-align-right,.woocommerce nav.woocommerce-pagination ul li a:hover,.woocommerce nav.woocommerce-pagination ul li span.current,.woocommerce .widget_shopping_cart .cart_list li a.remove,.woocommerce.widget_shopping_cart .cart_list li a.remove,.widget_product_search form.woocommerce-product-search .search-field,.widget_product_tag_cloud a,.woocommerce.td-product-list-view .td-shop-page a.added_to_cart,.woocommerce div.product form.cart div.quantity input[type="number"]:focus,.woocommerce div.product div.images .woocommerce-product-gallery__trigger,.woocommerce div.product div.images .woocommerce-product-gallery__trigger:hover:before,.tinv-wishlist .product-remove button,.tinv-wishlist .product-remove button:hover,.woocommerce a.remove,.woocommerce a.remove:hover,.sidebar-widget-area .widget.widget_themedraft_nav_menu ul li a:hover,.sidebar-widget-area .widget.widget_themedraft_nav_menu ul li.current-menu-item a,.td-single-counter-box-two:hover,.td-project-content,.td-member-details-info-wrapper .td-member-social-info a:hover,.td-testimonial-two-slider-wrapper .td-slider-shape-one,.td-testimonial-two-slider-wrapper .td-slider-shape-two,.themedraft-contact-form-container form input:focus,.themedraft-contact-form-container form select:focus,.themedraft-contact-form-container textarea:focus,.woocommerce nav.woocommerce-pagination ul li a, .woocommerce nav.woocommerce-pagination ul li span,.post-pagination ul li a, .post-pagination ul li span, .page-links a, .page-links span,.woocommerce #content table.cart td.actions .input-text:focus,.woocommerce table.cart td.actions .input-text:focus,
.woocommerce-page #content table.cart td.actions .input-text:focus,
.woocommerce-page table.cart td.actions .input-text:focus,.header-style-seven li.top-social-item a,.twentytwenty-handle',


				'border-right-color' => '.td-service-box-one-content:hover:before,.td-service-three-content:before,.twentytwenty-left-arrow',

				'border-left-color' => '.twentytwenty-right-arrow',

				'border-bottom-color' => '.td-service-box-one-content:hover:before,.td-service-three-content:before',

				'fill' => '.td-icon-wrapper svg,.td-single-promo-box svg,.promo-two-icon svg,.td-tabs-wrapper .nav.nav-tabs li a.active svg,.td-tabs-wrapper .nav.nav-tabs li a:hover svg,.td-single-service-box-four .td-icon-wrapper svg',
			)
		),

		array(
			'id'          => 'btn_border_radius',
			'type'        => 'number',
			'title'       => esc_html__( 'Button Border Radius', 'induxter' ),
			'desc'     => esc_html__( 'Change button border radius from here.', 'induxter' ),
			'unit'        => 'px',
			'output'      => '.td-button, input[type="submit"], button[type="submit"],.header-style-seven .header-cta-button a,.button-shape,.button-shape-two,.header-style-four .header-cta-button a,.woocommerce #respond input#submit,.woocommerce a.button, .woocommerce button.button, .woocommerce input.button,.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt,.woocommerce input.button.alt, div#review_form_wrapper .form-submit button[type="submit"],.woocommerce div.product form.cart div.quantity input[type="number"],.woocommerce-cart .woocommerce .woocommerce-cart-form__contents .quantity .qty,.woocommerce #content table.cart td.actions .input-text, .woocommerce table.cart td.actions .input-text,.woocommerce-page #content table.cart td.actions .input-text, .woocommerce-page table.cart td.actions .input-text,.post-tags a',
			'output_mode' => 'border-radius',
		),

		array(
			'id'       => 'enable_preloader',
			'type'     => 'switcher',
			'title'    => esc_html__( 'Enable Pre Loader', 'induxter' ),
			'text_on'  => esc_html__( 'Yes', 'induxter' ),
			'text_off' => esc_html__( 'No', 'induxter' ),
			'desc'     => esc_html__( 'Enable or disable Site Preloader.', 'induxter' ),
			'default'  => true
		),

		array(
			'id'           => 'preloader_image',
			'type'         => 'media',
			'title'        => esc_html__( 'Preloader Image', 'induxter' ),
			'library'      => 'image',
			'url'          => false,
			'button_title' => esc_html__( 'Upload Image', 'induxter' ),
			'desc'         => esc_html__( 'Upload Preloader image', 'induxter' ),
			'dependency'   => array( 'enable_preloader', '==', 'true' ),

		),

		array(
			'id'          => 'preloader_background_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Preloader Background Color', 'induxter' ),
			'desc'        => esc_html__( 'Select preloader background color.', 'induxter' ),
			'dependency'  => array( 'enable_preloader', '==', true ),
			'output'      => '.preloader-wrapper',
			'output_mode' => 'background-color'
		),

		array(
			'id'    => 'google_map_api_key',
			'type'  => 'text',
			'title' => esc_html__( 'Google Map Api Key', 'induxter' ),
			'desc'  => esc_html__( 'Paste google map api key here.', 'induxter' ),
		),
	)
) );