<?php
//Search Options

CSF::createSection( $induxter_theme_option, array(
	'title'  => esc_html__( 'Search Page', 'induxter' ),
	'id'     => 'search_page_options',
	'icon'   => 'fa fa-search',
	'fields' => array(

		array(
			'id'      => 'search_layout',
			'type'    => 'select',
			'title'   => esc_html__( 'Search Layout', 'induxter' ),
			'options' => array(
				'grid'          => esc_html__( 'Grid Full', 'induxter' ),
				'grid-ls'       => esc_html__( 'Grid With Left Sidebar', 'induxter' ),
				'grid-rs'       => esc_html__( 'Grid With Right Sidebar', 'induxter' ),
				'left-sidebar'  => esc_html__( 'Left Sidebar', 'induxter' ),
				'right-sidebar' => esc_html__( 'Right Sidebar', 'induxter' ),
			),
			'default' => 'right-sidebar',
			'desc'    => esc_html__( 'Select search page layout.', 'induxter' ),
		),

		array(
			'id'       => 'search_banner',
			'type'     => 'switcher',
			'title'    => esc_html__( 'Enable Search Banner', 'induxter' ),
			'default'  => true,
			'text_on'  => esc_html__( 'Yes', 'induxter' ),
			'text_off' => esc_html__( 'No', 'induxter' ),
			'desc'     => esc_html__( 'Enable or disable search page banner.', 'induxter' ),
		),

		array(
			'id'                    => 'search_banner_background_options',
			'type'                  => 'background',
			'title'                 => esc_html__( 'Banner Background', 'induxter' ),
			'background_gradient'   => true,
			'background_origin'     => false,
			'background_clip'       => false,
			'background_blend-mode' => false,
			'background_attachment' => false,
			'background_size'       => false,
			'background_position'   => false,
			'background_repeat'     => false,
			'dependency'            => array( 'search_banner', '==', true ),
			'output'                => '.banner-area.search-banner',
			'desc'                  => esc_html__( 'If you want different banner background settings for search page then select search page banner background options from here.', 'induxter' ),
		),

		array(
			'id'    => 'search_placeholder',
			'type'  => 'text',
			'title' => esc_html__( 'Search Field Placeholder', 'induxter' ),
			'desc'  => esc_html__( 'Type search placeholder here.', 'induxter' ),
		),
	)
) );