<?php
//Single Post

CSF::createSection( $induxter_theme_option, array(
	'title'  => esc_html__( 'Single Post / Post Details', 'induxter' ),
	'id'     => 'single_post_options',
	'icon'   => 'fa fa-pencil',
	'fields' => array(

		array(
			'id'      => 'single_post_default_layout',
			'type'    => 'select',
			'title'   => esc_html__( 'Layout', 'induxter' ),
			'options' => array(
				'left-sidebar'  => esc_html__( 'Left Sidebar', 'induxter' ),
				'full-width'    => esc_html__( 'Full Width', 'induxter' ),
				'right-sidebar' => esc_html__( 'Right Sidebar', 'induxter' ),
			),
			'default' => 'right-sidebar',
			'desc'    => esc_html__( 'Select single post layout', 'induxter' ),
		),


		array(
			'id'         => 'single_post_default_sidebar',
			'type'       => 'select',
			'title'      => esc_html__( 'Sidebar', 'induxter' ),
			'options'    => 'induxter_sidebars',
			'default' => 'sidebar',
			'dependency' => array( 'single_post_default_layout', '!=', 'full-width' ),
			'desc'       => esc_html__( 'Select default sidebar for all posts. You can override this settings on individual post.', 'induxter' ),
		),

		array(
			'id'         => 'post_banner_title',
			'type'       => 'text',
			'title'      => esc_html__('Banner Default Title', 'induxter'),
			'desc'       => esc_html__('Default banner title for all post.', 'induxter'),
			'dependency' => array( 'show_default_title', '==', 'false' ),
		),

		array(
			'id'       => 'show_default_title',
			'type'     => 'switcher',
			'title'    => esc_html__('Show Post Title On Banner?', 'induxter'),
			'text_on'  => esc_html__('Yes', 'induxter'),
			'text_off' => esc_html__('No', 'induxter'),
			'desc'     => esc_html__('Show post title on single post banner area. Default title is "Blog" for all single post.', 'induxter'),
			'default'  => false
		),

		array(
			'id'         => 'single_post_title_tag',
			'type'       => 'button_set',
			'title'      => esc_html__( 'Post Title Tag', 'induxter' ),
			'options'    => array(
				'h1'   => esc_html__( 'H1', 'induxter' ),
				'h2'   => esc_html__( 'H2', 'induxter' ),
				'h3'   => esc_html__( 'H3', 'induxter' ),
				'h4'   => esc_html__( 'H4', 'induxter' ),
				'h5'   => esc_html__( 'H5', 'induxter' ),
				'h6'   => esc_html__( 'H6', 'induxter' ),
			),
			'default'    => 'h1',
			'desc'       => esc_html__( 'Select single post title tag.', 'induxter' ),
		),

		array(
			'id'       => 'single_post_breadcrumb',
			'type'     => 'switcher',
			'title'    => esc_html__('Enable Breadcrumb', 'induxter'),
			'text_on'  => esc_html__('Yes', 'induxter'),
			'text_off' => esc_html__('No', 'induxter'),
			'desc'     => esc_html__('Hide or show banner breadcrumb on single post.', 'induxter'),
			'default'  => false
		),

		array(
			'id'       => 'single_post_author',
			'type'     => 'switcher',
			'title'    => esc_html__('Post Author Name', 'induxter'),
			'text_on'  => esc_html__('Yes', 'induxter'),
			'text_off' => esc_html__('No', 'induxter'),
			'desc'     => esc_html__('Hide or show author name on post details page.', 'induxter'),
			'default'  => true
		),

		array(
			'id'       => 'single_post_date',
			'type'     => 'switcher',
			'title'    => esc_html__('Post Date', 'induxter'),
			'text_on'  => esc_html__('Yes', 'induxter'),
			'text_off' => esc_html__('No', 'induxter'),
			'desc'     => esc_html__('Hide or show date on post details page.', 'induxter'),
			'default'  => true
		),

		array(
			'id'       => 'single_post_cmnt',
			'type'     => 'switcher',
			'title'    => esc_html__('Post Comments Number', 'induxter'),
			'text_on'  => esc_html__('Yes', 'induxter'),
			'text_off' => esc_html__('No', 'induxter'),
			'desc'     => esc_html__('Hide or show comments number on post details page.', 'induxter'),
			'default'  => true,
		),

		array(
			'id'       => 'single_post_cat',
			'type'     => 'switcher',
			'title'    => esc_html__('Post Categories', 'induxter'),
			'text_on'  => esc_html__('Yes', 'induxter'),
			'text_off' => esc_html__('No', 'induxter'),
			'desc'     => esc_html__('Hide or show categories on post details page.', 'induxter'),
			'default'  => true
		),

		array(
			'id'       => 'single_post_tag',
			'type'     => 'switcher',
			'title'    => esc_html__('Post Tags', 'induxter'),
			'text_on'  => esc_html__('Yes', 'induxter'),
			'text_off' => esc_html__('No', 'induxter'),
			'desc'     => esc_html__('Hide or show tags on post details page.', 'induxter'),
			'default'  => true
		),

		array(
			'id'       => 'post_share',
			'type'     => 'switcher',
			'title'    => esc_html__('Post Share icons', 'induxter'),
			'text_on'  => esc_html__('Yes', 'induxter'),
			'text_off' => esc_html__('No', 'induxter'),
			'desc'     => esc_html__('Hide or show social share icons on post details page.', 'induxter'),
			'default'  => true
		),

		array(
			'id'       => 'prev_next_post',
			'type'     => 'switcher',
			'title'    => esc_html__('Previous / Next Post Thumbnail', 'induxter'),
			'text_on'  => esc_html__('Yes', 'induxter'),
			'text_off' => esc_html__('No', 'induxter'),
			'desc'     => esc_html__('Hide or show previous / next Post thumbnail on post details page.', 'induxter'),
			'default'  => true
		),
	)
) );