<?php
// Create typography section
CSF::createSection( $induxter_theme_option, array(
	'title'  => esc_html__( 'Typography', 'induxter' ),
	'id'     => 'typography_options',
	'icon'   => 'fa fa-text-width',
	'fields' => array(

		array(
			'id'             => 'body_typo',
			'type'           => 'typography',
			'title'          => esc_html__( 'Body', 'induxter' ),
			'desc'           => esc_html__( 'Select body typography.', 'induxter' ),
			'output'         => 'body',
			'text_align'     => false,
			'text_transform' => false,
			'color'          => false,
			'extra_styles'   => true,
			'default'        => array(
				'font-family'  => 'Open Sans',
				'type'         => 'google',
				'unit'         => 'px',
				'font-weight'  => '600',
				'extra-styles' => array('700'),
			),

		),

		array(
			'id'             => 'heading_typo',
			'type'           => 'typography',
			'title'          => esc_html__( 'Heading Font', 'induxter' ),
			'desc'           => esc_html__( 'Select heading typography.', 'induxter' ),
			'output'         => 'h1,h2,h3,h4,h5,h6,.td-button, input[type="submit"], button[type="submit"],.td-text-button,.testimonial-text,.td-project-content .title,a.td-service-one-button,.td-gallery-filter-button-wrapper li, .td-filter-mobile-title,.td-project-slider-two-wrapper .project-title,.td-project-slider-two-wrapper .project-subtitle,.td-single-project-box .subtitle,.breadcrumb-container, .breadcrumb-container a,.slider-line-text,.td-home-three-slider-item .slider-title,.td-home-three-slider-item .slider-icon-wrapper span,.td-project-info li,.td-recent-post-el-widget .td-post-meta li a,.td-recent-post-el-widget .posted-on a,.td-member-name-designation .name,.td-member-name-designation .name,.team-two-wrapper .member-two-name,.td-member-three-content .name,.promo-two-button a,.skill-title,.td-skills-wrapper .count-bar,.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button,.woocommerce .widget_shopping_cart .cart_list li, .woocommerce.widget_shopping_cart .cart_list li, .woocommerce .widget_shopping_cart .total, .woocommerce.widget_shopping_cart .total, .woocommerce ul.cart_list li a, .woocommerce ul.product_list_widget li a, .woocommerce.widget_products ul.product_list_widget li .woocommerce-Price-amount, .woocommerce .woocommerce-widget-layered-nav-list .woocommerce-widget-layered-nav-list__item a, .woocommerce .woocommerce-widget-layered-nav-list .woocommerce-widget-layered-nav-list__item span, .widget_product_categories ul.product-categories li, .woocommerce.widget_top_rated_products ul.product_list_widget li .woocommerce-Price-amount, .woocommerce .widget_price_filter .price_label, .single-product.woocommerce .summary.entry-summary .price, .woocommerce ul.products li.product .price, .woocommerce ul.products li.product .price ins, .widget.widget_archive li a, .widget.widget_categories li a, .widget.widget_meta li a, .widget.widget_nav_menu li a, .widget.widget_pages li a, .widget .post-count-number, .widget.widget_themedraft_nav_menu ul li a, .tinvwl-table-manage-list, table.shop_table.shop_table_responsive.cart.woocommerce-cart-form__contents, form.woocommerce-checkout .form-row label, table.shop_table.woocommerce-checkout-review-order-table, .woocommerce-MyAccount-navigation ul li a',
			'text_align'     => false,
			'text_transform' => false,
			'color'          => false,
			'extra_styles'   => true,
		),

		array(
			'id'             => 'header_typo',
			'type'           => 'typography',
			'title'          => esc_html__( 'Header Font', 'induxter' ),
			'desc'           => esc_html__( 'Select header text & menu typography.', 'induxter' ),
			'output'         => '.header-area .top-info-column,.main-navigation ul li a,.header-cta-button,.slicknav_nav li a',
			'text_align'     => false,
			'text_transform' => false,
			'color'          => false,
			'extra_styles'   => true,
		),
	)
) );