<?php

//Register widget area
function induxter_widgets_init() {
	register_sidebar(array(
		'name'          => esc_html__('Sidebar', 'induxter'),
		'id'            => 'sidebar',
		'description'   => esc_html__('Add widgets here.', 'induxter'),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	));

	register_sidebar(array(
		'name'          => esc_html__('Service Sidebar', 'induxter'),
		'id'            => 'service-sidebar',
		'description'   => esc_html__('Add service widgets here.', 'induxter'),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	));

	register_sidebar(array(
		'name'          => esc_html__('Team Sidebar', 'induxter'),
		'id'            => 'team-sidebar',
		'description'   => esc_html__('Add team widgets here.', 'induxter'),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	));

	register_sidebar(array(
		'name'          => esc_html__('Project Sidebar', 'induxter'),
		'id'            => 'project-sidebar',
		'description'   => esc_html__('Add Project widgets here.', 'induxter'),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	));

	$footer_widget_column = induxter_option('footer_widget_column', 'col-lg-3');
	register_sidebar(array(
		'name'          => esc_html__('Footer Widget', 'induxter'),
		'id'            => 'footer-widget',
		'description'   => esc_html__('Add footer widgets here.', 'induxter'),
		'before_widget' => '<div id="%1$s" class="widget '.esc_attr($footer_widget_column).' col-md-6 %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h4 class="widget-title">',
		'after_title'   => '</h4>',
	));

	/**
	 * Load Shop Sidebar.
	 */
	if ( class_exists( 'WooCommerce' ) ) {
		register_sidebar(array(
			'name'          => esc_html__('Shop Sidebar', 'induxter'),
			'id'            => 'shop-sidebar',
			'description'   => esc_html__('Add shop widgets here.', 'induxter'),
			'before_widget' => '<section id="%1$s" class="widget %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<h3 class="widget-title">',
			'after_title'   => '</h3>',
		));
	}
}

add_action('widgets_init', 'induxter_widgets_init');